#!/bin/sh -ex

IMAGE=$1

ctr=$(buildah from $IMAGE)
trap "buildah rm $ctr" EXIT

buildah copy $ctr dev-requirements.txt .flake8 .
buildah copy $ctr aws-lambda-rie
buildah copy $ctr tests/ tests/

buildah run $ctr pip install -r dev-requirements.txt --target .

buildah run $ctr python -m flake8 app.py
buildah run $ctr python -m codespell_lib app.py

buildah run $ctr python -m pytest tests -c tests/pytest.ini --capture=tee-sys
